<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->

# Performing BGP Security Analysis — API & Tool Reference

> Quick reference for tools, commands, and APIs used in performing-bgp-security-analysis.

## Tools

### `routinator`

RPKI relying party software for ROA validation

**Usage:**
```bash
routinator server --rtr 0.0.0.0:3323 --http 0.0.0.0:8323
```

**Key Flags:**
  - `init: initialize TAL files`
  - `vrps: output validated ROA payloads`
  - `--format: output format (json, csv)`
  - `server: run as RTR/HTTP server`

---

### `bgpq4`

IRR-based BGP filter generation

**Usage:**
```bash
bgpq4 -4 -l prefix_list AS13335
```

**Key Flags:**
  - `-4: IPv4 only`
  - `-6: IPv6 only`
  - `-l: prefix list name`
  - `-A: aggregate output`

---

### `bgpstream`

BGP data stream analysis

**Usage:**
```bash
bgpstream -w <start>,<end> -p routeviews -k <prefix>
```

**Key Flags:**
  - `-w: time window`
  - `-p: data project`
  - `-k: prefix filter`
  - `-e: event type`

---

## Integration Notes

- All tools should be run with least-privilege access appropriate to the task
- Log all tool invocations for audit trail
- Validate tool output before acting on results
- Cross-reference findings with multiple tools where possible

## See Also

- Parent skill: [Network Security](../../../SKILL.md)
- Technique SKILL.md: [../SKILL.md](../SKILL.md)
